/// Too many literals provided in a literal node.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct TooManyLiterals {
    #[serde(rename = "count")]
    count: i32,
}
impl TooManyLiterals {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(count: i32) -> Self {
        Self::builder().count(count).build()
    }
    #[inline]
    pub fn count(&self) -> i32 {
        self.count
    }
}
impl conjure_error::ErrorType for TooManyLiterals {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:TooManyLiterals"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["count"]
    }
}
